Click or drag to resize

CurveCreateArcBlend Method

Creates a polycurve consisting of two tangent arc segments that connect two points and two directions.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Curve CreateArcBlend(
	Point3d startPt,
	Vector3d startDir,
	Point3d endPt,
	Vector3d endDir,
	double controlPointLengthRatio
)

Parameters

startPt
Type: Rhino.GeometryPoint3d
Start of the arc blend curve.
startDir
Type: Rhino.GeometryVector3d
Start direction of the arc blend curve.
endPt
Type: Rhino.GeometryPoint3d
End of the arc blend curve.
endDir
Type: Rhino.GeometryVector3d
End direction of the arc blend curve.
controlPointLengthRatio
Type: SystemDouble
The ratio of the control polygon lengths of the two arcs. Note, a value of 1.0 means the control polygon lengths for both arcs will be the same.

Return Value

Type: Curve
The arc blend curve, or null on error.
Version Information

Rhino for Windows

Supported in: 6.1 BETA
See Also